Project: PHP5

This is a Stub article. Help the eZ Publish community by expanding it!

The eZ publish PHP5 Story

Missing very long convoluted story about a back and forth support for a php5 port of eZ publish

Official Support

eZ Systems has been hinting at official PHP5 support in the distant future for many years. Recently eZ Systems has commited to official support for PHP5 in eZ Publish 4.0.

Short Story

eZ Publish 4.0 will provide official PHP5 support. eZ Publish 4.0 will not be compatible with PHP 4. eZ Publish 4.0 is scheduled for public release in early 2008. PHP4 will stop being supported end of year 2007.

Community PHP5 Port

PHP5 is supported by the community with an eZ Publish 3.8 and 3.9 port for php5 which is being prepared to be merged into the official eZ Publish 4.0 release. This port is stable, used by many developers and activly maintained.

References